[org.gnome.desktop.background:gde-greeter]
picture-uri='file:///usr/share/backgrounds/elementary/Sunset%20by%20the%20Pier.jpg'
picture-uri-dark='file:///usr/share/backgrounds/elementary/Sunset%20by%20the%20Pier.jpg'

[org.wayfire.section.core:gde-greeter]
plugins='autostart animate move place grid command glib-main-loop'
close-top-view=''
background-color=(0.0,0.0,0.0,1.0)
vwidth=1
vheight=1

# For now, spice-vdagent requires an X server
xwayland=true

[org.wayfire.section.autostart:gde-greeter]
autostart-wf-shell=false
autostart={'env':('systemctl --user import-environment WAYLAND_DISPLAY',), 'greeter':('systemd-cat gde-greeter-session',)}

[org.wayfire.section.input:gde-greeter]
natural-scroll=true

[org.wayfire.section.place:gde-greeter]
mode="center"

[org.wayfire.section.animate:gde-greeter]
open-animation="fade"
close-animation="fade"
duration=200

[sh.carbon.gde-panel:gde-greeter]
left-applets=[]
center-applets=[]
right-applets=['control-center']
cc-applets=['power','network']

[org.gnome.desktop.interface:gde-greeter]
show-battery-percentage=true

# TODO: Handle power button
[org.wayfire.section.command:gde-greeter]
bindings={'terminal':('gde-greeter-term', '<ctrl> <alt> KEY_T')}

[org.gtk.gtk4.Settings.Debug:gde-greeter]
enable-inspector-keybinding=false
